import { Meta, Story, Preview } from '@storybook/addon-docs/blocks';
import CommentInput from './CommentInput';
import { userMocks } from '../../data/mockups';

<Meta title="Inputs/CommentInput" component={CommentInput} />

# CommentInput
 
An input to post a comment by a authorized viewer
    
<Preview>
  <Story name="default">
    <CommentInput author={userMocks.sample()} />
  </Story>
</Preview>

<Preview>
  <Story name="submitting">
    <CommentInput defaultValue="This is my first comment" submitting author={userMocks.sample()} />
  </Story>
</Preview>